Bug 450518 - (CVE-2008-2152) CVE-2008-2152 OpenOffice.org overflow possible on allocation
CVE-2008-2152 OpenOffice.org overflow possible on allocation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=upstream,reported=20080609,pub...
: Reopened, Security
Depends On: 450520 450521 450522 450523 450524 450525 450526 450649 450650
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 07:52 EDT by Mark J. Cox (Product Security)
Modified: 2008-06-19 06:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.3.0-6.9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 06:52:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
oo2 patch from caolan (805 bytes, patch)
2008-06-09 07:54 EDT, Mark J. Cox (Product Security)
no flags Details | Diff
oo1.1 backported patch from caolan (1.64 KB, patch)
2008-06-09 07:54 EDT, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2008-06-09 07:52:26 EDT
Sean Larsson found a heap overflow flaw in the OpenOffice memory allocator.  An
attacker could create a carefully crafted file that could cause OpenOffice.org
to crash or possibly execute arbitrary code if the file was opened by a victim.
(CVE-2008-2152) 

This probably affects all OpenOffice shipped in RHEL3,4,5

Embargo is Jun 10 or 11 (2.4.1 release of OpenOffice.org)
Comment 2 Mark J. Cox (Product Security) 2008-06-09 07:54:25 EDT
Created attachment 308679 [details]
oo2 patch from caolan
Comment 3 Mark J. Cox (Product Security) 2008-06-09 07:54:46 EDT
Created attachment 308680 [details]
oo1.1 backported patch from caolan
Comment 6 Mark J. Cox (Product Security) 2008-06-10 03:05:59 EDT
opening bug, now public at:
http://www.openoffice.org/security/cves/CVE-2008-2152.html
Comment 8 Fedora Update System 2008-06-11 00:38:59 EDT
openoffice.org-2.4.1-17.3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-06-11 03:24:15 EDT
openoffice.org-2.3.0-6.15.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-06-11 03:25:03 EDT
openoffice.org-2.3.0-6.9.fc7 has been submitted as an update for Fedora 7
Comment 12 Fedora Update System 2008-06-11 19:34:10 EDT
openoffice.org-2.3.0-6.9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-06-11 19:35:24 EDT
openoffice.org-2.3.0-6.15.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.